@ECHO OFF
ECHO Compile all RSCExamp for EPOC language resource files
ECHO v5.00(007) Last updated 20 March 2000.
ECHO Copyright (c) 1998-2000 Symbian Ltd. All rights reserved.
ECHO.

rem Make temp copy of current system path values
SET TempPaths=%path%

rem Default SDK drive setting
SET _SDK_DRIVE=G:
ECHO Attempting to use an EPOC SDK on drive %_SDK_DRIVE%

rem Set include paths for the compiler - NOT NEEDED FOR ER5
rem SET _INC1=%_SDK_DRIVE%\epoc32\inc
rem SET _INC2=%_SDK_DRIVE%\epoc32\include

rem Set the new ones so the compiler will work
PATH=%_SDK_DRIVE%\epoc32\include;%_SDK_DRIVE%\epoc32\tools;%_SDK_DRIVE%\epoc32\gcc\bin;%windir%\Command;%windir%;%windir%\system32

rem Make appropriate output folder if needed
IF NOT EXIST %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExamp\NUL MD "%_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExamp"

rem Compile the various resource files (using the modified version of EIKRS.bat)
CALL EIKRSS.BAT RSCExamp UK
CALL EIKRSS.BAT RSCExamp US
CALL EIKRSS.BAT RSCExaFR FR
CALL EIKRSS.BAT RSCExaGE GE

rem Rename the output of the non-English files into the correct format
IF EXIST %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExamp.rFR DEL %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExamp.rFR
IF EXIST %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExamp.rGE DEL %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExamp.rGE
REN %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExaFR.RFR RSCExamp.rFR
REN %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExaGE.RGE RSCExamp.rGE

rem Move the non-English resources to the right folder
IF EXIST %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExamp\RSCExamp.rFR DEL %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExamp\RSCExamp.rFR
IF EXIST %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExamp\RSCExamp.rGE DEL %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExamp\RSCExamp.rGE
MOVE %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExamp.rFR %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExamp\
MOVE %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExamp.rGE %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExamp\

rem Now remove the redundant RSG files from non-English compiles
rem as we only need the 'main' one - RSCExamp.rsg
DEL %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExaFR.RSG
DEL %_SDK_DRIVE%\epoc32\wins\c\System\Apps\RSCExaGE.RSG

rem And finally, restore the old path values
SET PATH=%TempPaths%